nmh-commits
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[Nmh-commits] [SCM] The nmh Mail Handling System branch, master, updated


From: David Levine
Subject: [Nmh-commits] [SCM] The nmh Mail Handling System branch, master, updated. c59faa971ff27e2af3e90476b1f558e02dff3e0c
Date: Sun, 18 Mar 2012 14:54:18 +0000

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "The nmh Mail Handling System".

The branch, master has been updated
       via  c59faa971ff27e2af3e90476b1f558e02dff3e0c (commit)
       via  307383ed8da4c05a4e5cb98bab9bf6161dd51bf3 (commit)
       via  7876081fd090297937e6818532baa5813071337d (commit)
       via  2d3d6cb7011b7fe432ffda2889e1f27860c49f37 (commit)
      from  ef85387bf79a9922c51ad4a279bd3acad4c3c9ab (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://git.savannah.gnu.org/cgit/nmh.git/commit/?id=c59faa971ff27e2af3e90476b1f558e02dff3e0c


commit c59faa971ff27e2af3e90476b1f558e02dff3e0c
Author: David Levine <address@hidden>
Date:   Sun Mar 18 09:53:31 2012 -0500

    Added test-whom.

diff --git a/Makefile.am b/Makefile.am
index def76cf..dc49815 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -65,7 +65,7 @@ TESTS = test/bad-input/test-header \
        test/repl/test-if-str test/scan/test-scan \
        test/sequences/test-flist test/sequences/test-mark \
        test/whatnow/test-attach-detach test/whatnow/test-cd \
-       test/whatnow/test-ls \
+       test/whatnow/test-ls test/whom/test-whom \
        test/cleanup ## The "cleanup" test should always be last.
 
 check_SCRIPTS = test/common.sh
diff --git a/test/whom/test-whom b/test/whom/test-whom
new file mode 100755
index 0000000..5560446
--- /dev/null
+++ b/test/whom/test-whom
@@ -0,0 +1,97 @@
+#!/bin/sh
+######################################################
+#
+# Test whom
+#
+######################################################
+
+# Not tested:
+# -check, -client, -server, -port, -user, -sasl, -saslmech, -snoop, -tls, 
-notls
+
+set -e
+
+if test -z "${MH_OBJ_DIR}"; then
+    srcdir=`dirname $0`/../..
+    MH_OBJ_DIR=`cd $srcdir && pwd`; export MH_OBJ_DIR
+fi
+
+. "$MH_OBJ_DIR/test/common.sh"
+
+setup_test
+
+expected=$MH_TEST_DIR/$$.expected
+actual=$MH_TEST_DIR/$$.actual
+
+cd $MH_TEST_DIR
+
+cat >$MH_TEST_DIR/Mail/draft <<'EOF'
+From: Test1 <address@hidden>
+To: Some User <address@hidden>
+Subject: Testing message 1
+--------
+This is a draft message.
+EOF
+
+# check with no options
+run_test 'whom' '  -- Network Recipients --
+  user at example.com'
+
+# check -nocheck
+run_test 'whom -check -nocheck' '  -- Network Recipients --
+  user at example.com'
+
+# check with file specified
+run_test "whom $MH_TEST_DIR/Mail/draft" '  -- Network Recipients --
+  user at example.com'
+
+# check -draftmessage
+run_test "whom -draftm draft" '  -- Network Recipients --
+  user at example.com'
+
+# check -draftfolder with -draftmessage
+folder +drafts -create >/dev/null
+folder +inbox -fast >/dev/null
+cp $MH_TEST_DIR/Mail/draft $MH_TEST_DIR/Mail/drafts/1
+run_test "whom -draftfolder +drafts -draftm 1" \
+'  -- Network Recipients --
+  user at example.com'
+
+# check -draftfolder with current draftmessage
+folder +drafts 1 >/dev/null
+run_test "whom -draftfolder +drafts" \
+'  -- Network Recipients --
+  user at example.com'
+
+# check -nodraftfolder
+run_test 'whom -draftfolder +nonexistent -nodraftfolder' \
+'  -- Network Recipients --
+  user at example.com'
+
+# check -draft, though I'm not sure that it's useful.  Note that it
+# must appear after the file argument when run standalone.
+run_test "whom $MH_TEST_DIR/Mail/drafts/1 -draft" \
+'  -- Network Recipients --
+  user at example.com'
+
+# check -alias
+rm -f $MH_TEST_DIR/Mail/draft
+cat >$MH_TEST_DIR/Mail/draft <<'EOF'
+From: Test1 <address@hidden>
+To: u
+Subject: Testing message 1
+--------
+This is a draft message.
+EOF
+
+cat >$MH_TEST_DIR/Mail/nmhaliases <<'EOF'
+u: address@hidden
+EOF
+run_test 'whom -alias nmhaliases' '  -- Network Recipients --
+  user1 at example.com'
+
+# check -alias with nonexistent aliasfile
+run_test 'whom -alias nonexistent' \
+"whom: aliasing error in nonexistent - unable to read 'nonexistent'"
+
+
+exit $failed

http://git.savannah.gnu.org/cgit/nmh.git/commit/?id=307383ed8da4c05a4e5cb98bab9bf6161dd51bf3


commit 307383ed8da4c05a4e5cb98bab9bf6161dd51bf3
Author: David Levine <address@hidden>
Date:   Sun Mar 18 09:17:56 2012 -0500

    Added documentation of -sever, -port, -sasl, -saslmech, -snoop, -user,
    -tls, and -notls to whom man page.

diff --git a/man/whom.man b/man/whom.man
index fc386bb..d319e72 100644
--- a/man/whom.man
+++ b/man/whom.man
@@ -11,14 +11,25 @@ whom \- report to whom a message would go
 .RB [ \-alias
 .IR aliasfile ]
 .RB [ \-check " | " \-nocheck ]
-.RB [ \-draft ]
 .RB [ \-draftfolder
 .IR +folder ]
 .RB [ \-draftmessage
 .IR msg ]
 .RB [ \-nodraftfolder ]
+.RB [ \-server
+.IR servername ]
+.RB [ \-port
+.IR port-name/number ]
+.RB [ \-sasl ]
+.RB [ \-saslmech
+.IR mechanism ]
 .RB [ \-snoop ]
+.RB [ \-user
+.IR username ]
+.RB [ \-tls ]
+.RB [ \-notls ]
 .RI [ file ]
+.RB [ \-draft ]
 .RB [ \-version ]
 .RB [ \-help ]
 .ad
@@ -44,12 +55,60 @@ useful) feature.  Consult the
 .BR mh-draft (5)
 man page for more information.
 .PP
-The
+If nmh is using the SMTP MTA, the
+.B \-server
+and the
+.B \-port
+switches can be used to override the default mail server (defined by the
+.I %etcdir%/mts.conf
+.RI servers
+entry).  The
 .B \-snoop
 switch can be used to view the SMTP transaction.  (Beware that the
 SMTP transaction may contain authentication information either in
 plaintext or easily decoded base64.)
 .PP
+If
+.B nmh
+has been compiled with SASL support, the
+.B \-sasl
+switch will enable
+the use of SASL authentication with the SMTP MTA.  Depending on the
+SASL mechanism used, this may require an additional password prompt from the
+user (but the
+.RI \*(lq \&.netrc \*(rq
+file can be used to store this password).
+.B \-saslmech
+switch can be used to select a particular SASL mechanism,
+and the the
+.B \-user
+switch can be used to select a authorization userid
+to provide to SASL other than the default.
+.PP
+If SASL authentication is successful, 
+.BR nmh
+will attempt to negotiate a security layer for session encryption.
+Encrypted data is labelled with `(encrypted)' and `(decrypted)' when
+viewing the SMTP transaction with the
+.B \-snoop
+switch.  The
+.B \-saslmaxssf
+switch can be used to select the maximum value of the Security Strength Factor.
+This is an integer value and the exact meaning of this value depends on the
+underlying SASL mechanism.  A value of 0 disables encryption.
+.PP
+If
+.B nmh
+has been compiled with TLS support, the
+.B \-tls
+and
+.B \-notls
+switches will require and disable the negotiation of TLS support when 
connecting to the
+SMTP MTA.  Encrypted data is labelled with `(tls-encrypted)' and
+`(tls-decrypted)' when viewing the SMTP transction with the
+.B \-snoop
+switch.
+.PP
 The files specified by the profile entry \*(lqAliasfile:\*(rq and any
 additional alias files given by the
 .B \-alias

http://git.savannah.gnu.org/cgit/nmh.git/commit/?id=7876081fd090297937e6818532baa5813071337d


commit 7876081fd090297937e6818532baa5813071337d
Author: David Levine <address@hidden>
Date:   Sun Mar 18 09:15:30 2012 -0500

    Added whom, it's the fifth program referred to in mh-draft man page.

diff --git a/man/mh-draft.man b/man/mh-draft.man
index 63b7b0d..b09d8af 100644
--- a/man/mh-draft.man
+++ b/man/mh-draft.man
@@ -17,8 +17,9 @@ The
 .BR comp ,
 .BR dist ,
 .BR forw ,
+.BR repl ,
 and
-.B repl
+.B whom
 commands have two additional switches,
 .B \-draftfolder
 .I +folder
@@ -38,8 +39,9 @@ profile entry may be used to declare a default draft folder 
for use with
 .BR comp ,
 .BR dist ,
 .BR forw ,
+.BR repl ,
 and
-.BR repl ).
+.B whom ).
 .PP
 If the swith
 .B \-draftmessage

http://git.savannah.gnu.org/cgit/nmh.git/commit/?id=2d3d6cb7011b7fe432ffda2889e1f27860c49f37


commit 2d3d6cb7011b7fe432ffda2889e1f27860c49f37
Author: David Levine <address@hidden>
Date:   Sat Mar 17 14:33:43 2012 -0500

    In gcov target, added warning if configured with --enable-debug.
    While gcov will work with it, it won't reflect optimizations that
    are disabled with that option.

diff --git a/Makefile.am b/Makefile.am
index 2dbab2f..def76cf 100644
--- a/Makefile.am
+++ b/Makefile.am
@@ -572,6 +572,9 @@ cscope:
 ## targets because they will be used so infrequently, if at all.
 ##
 gcov:
+       @if ./config.status --config | grep -e --enable-debug >/dev/null; then \
+          echo For best results with gcov, should configure \
+           without --enable-debug; fi
        @echo rebuilding with AM_CLFAGS=--coverage . . .
        @(make clean  &&  make AM_CFLAGS=--coverage) > /dev/null  &&  make check
        @for i in `find . -name '*.gcda'`; do \

-----------------------------------------------------------------------

Summary of changes:
 Makefile.am         |    5 ++-
 man/mh-draft.man    |    6 ++-
 man/whom.man        |   63 ++++++++++++++++++++++++++++++++-
 test/whom/test-whom |   97 +++++++++++++++++++++++++++++++++++++++++++++++++++
 4 files changed, 166 insertions(+), 5 deletions(-)
 create mode 100755 test/whom/test-whom


hooks/post-receive
-- 
The nmh Mail Handling System



reply via email to

[Prev in Thread] Current Thread [Next in Thread]